<?php

namespace KupShop\FeedsBundle\Admin\Tabs;

use KupShop\AdminBundle\Admin\WindowTab;

class FeedMapsUsage extends WindowTab
{
    protected $title = 'flapUsage';

    protected $template = 'window/feedMaps.usage.tpl';

    /** @var bool */
    private $isVisible;

    public static function getTypes()
    {
        return [
            'feedMaps' => 1,
        ];
    }

    public function isVisible()
    {
        if (!isset($this->isVisible)) {
            $this->isVisible = !empty(getVal('ID'));
        }

        return $this->isVisible;
    }
}
